This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 799276 - (CVE-2012-1099) CVE-2012-1099 rubygem-actionpack: XSS in the 'select' helper
CVE-2012-1099 rubygem-actionpack: XSS in the 'select' helper
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120301,repor...
: Security
Depends On: 799279 800015 809588
Blocks: 755014 767033
  Show dependency treegraph
 
Reported: 2012-03-02 06:12 EST by Jan Lieskovsky
Modified: 2016-03-04 06:29 EST (History)
9 users (show)

See Also:
Fixed In Version: rubygem-actionpack 3.0.12, rubygem-actionpack 3.1.4, rubygem-actionpack 3.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 11:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-02 06:12:10 EST
A cross-site scripting (XSS) flaw was found in the way 'select' helper method of the Ruby on Rails performed HTML escaping of 'select' HTML tag options, when the tags were created manually. In this case, the select tag values might end up unescaped. A remote-attacker could provide a specially-crafted input to Ruby on Rails application, using select tags this way, which potentially resulted into arbitrary HTML or webscript execution.

References:
[1] http://weblog.rubyonrails.org/2012/3/1/ann-rails-3-0-12-has-been-released
[2] http://groups.google.com/group/rubyonrails-security/browse_thread/thread/9da0c515a6c4664
[3] https://bugs.gentoo.org/show_bug.cgi?id=406547

Proposed upstream patches:
[4] http://groups.google.com/group/rubyonrails-security/attach/6fca4f5c47705488/3-0-select_options.patch?part=3
    (against v3.0 branch)
[5] http://groups.google.com/group/rubyonrails-security/attach/6fca4f5c47705488/3-1-select_options.patch?part=4
    (against v3.1 branch)
[6] http://groups.google.com/group/rubyonrails-security/attach/6fca4f5c47705488/3-2-select_options.patch?part=5
    (against v3.2 branch)
Comment 1 Jan Lieskovsky 2012-03-02 06:23:35 EST
This issue affects the versions of the rubygem-actionpack package, as shipped with Fedora release of 15 and 16. Please schedule an update.

--

This issue did NOT affect the version of the rubygem-action package, as shipped with Fedora EPEL 5.
Comment 2 Jan Lieskovsky 2012-03-02 06:26:15 EST
Created rubygem-actionpack tracking bugs for this issue

Affects: fedora-all [bug 799279]
Comment 3 Jan Lieskovsky 2012-03-02 06:38:05 EST
CVE request:
[7] http://www.openwall.com/lists/oss-security/2012/03/02/6
Comment 4 Kurt Seifried 2012-03-02 19:32:49 EST
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/03/1
Comment 6 Fedora Update System 2012-03-11 13:01:12 EDT
rubygem-actionpack-3.0.11-2.fc17, rubygem-activesupport-3.0.11-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-03-17 19:40:57 EDT
rubygem-actionpack-3.0.10-3.fc16, rubygem-activesupport-3.0.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-03-17 19:51:32 EDT
rubygem-actionpack-3.0.5-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.